Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.chart
Class AGFChartPlugin

    java.lang.Object
      AbstractUIPlugin
          org.eclipse.amp.agf.chart.AGFChartPlugin

    public class AGFChartPlugin

extends AbstractUIPlugin

The activator class controls the plug-in life cycle.

Field Summary
`private static AGFChartPlugin` | `plugin`
`static java.lang.String` | `PLUGIN_ID`

Constructor Summary
`AGFChartPlugin()` The constructor.

Method Summary
`static AGFChartPlugin` | `getDefault()` Returns the shared instance.
`void` | `start(BundleContext context)`
`void` | `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### plugin

    private static AGFChartPlugin plugin

Constructor Detail

### AGFChartPlugin

    public AGFChartPlugin()

  The constructor.

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`
  See Also:
    `org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`
  See Also:
    `org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)`

### getDefault

    public static AGFChartPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors